updateOrderExportStatus
Update order export status. If on-order inventory is enabled for the associated inventory list, then setting the export status to EXPORTED finalizes on-order inventory transactions for this order by changing their type from on-order to final.
Operation ID: updateOrderExportStatusPUT
https://{shortCode}.api.commercecloud.salesforce.com/checkout/orders/v1/organizations/{organizationId}/orders/{orderNo}/export-status
Request
curl "https://{shortCode}.api.commercecloud.salesforce.com/checkout/orders/v1/organizations/{organizationId}/orders/{orderNo}/export-status?siteId=RefArch" \
-X PUT \
-H "content-type: application/json" \
-d '{
"status": "exported"
}'Security
URI parameters
shortCode
string
Required
Default value:
shortCode
organizationId
string
Required
An identifier for the organization the request is being made by
Minimum characters:
1
Maximum characters:
32
f_ecom_zzxy_prd
orderNo
string
Required
The order number
Minimum characters:
1
Maximum characters:
50
00000410
Query parameters
siteId
string
Required
The identifier of the site that a request is being made in the context of. Attributes might have site specific values, and some objects may only be assigned to specific sites
Minimum characters:
1
Maximum characters:
32
RefArch
Body
Media type:
application/json
{
"status": "exported"
}
status
string
enum
Required
The order export status.
Enum values:
- exported
- not_exported
- ready
- failed
exported
Responses
Order export status updated successfully. No content returned.